language: python

sudo: false

matrix:
  include:
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=x86_64
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=i386
    - python: 2.7
      os: linux
      compiler: clang
      env: ARCH=x86_64
    - python: 2.7
      os: linux
      compiler: clang
      env: ARCH=i386
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=x86_64
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=i386
    - python: 3.4
      os: linux
      compiler: clang
      env: ARCH=x86_64
    - python: 3.4
      os: linux
      compiler: clang
      env: ARCH=i386
    - language: C
      os: osx
      compiler: clang
      env: ARCH=x86_64
    - language: C
      os: osx
      compiler: clang
      env: ARCH=i386
    - language: C
      os: osx
      compiler: gcc
      env: ARCH=x86_64
    - language: C
      os: osx
      compiler: gcc
      env: ARCH=i386

addons:
  apt:
    packages:
    - bzip2
    - libsndfile1-dev
    - libsamplerate-dev
    - libjack-dev
    - libasound2-dev
    - libfftw3-dev

script:
  - make build
  - make build_python
  - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then make test_python; fi
  - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then make test_python_osx; fi
  - make clean_python
  - make clean
  - make distcheck

notifications:
    irc:
        channels:
            - "irc.freenode.org#aubio"
        use_notice: true
